Bug Hunting Session
Bug 59365 - FILESAVE: Memory usage after autorecovery/manual savings
Summary: FILESAVE: Memory usage after autorecovery/manual savings
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: AutoSave-AutoRecovery-Backup Memory
  Show dependency treegraph
 
Reported: 2013-01-14 15:32 UTC by karolismatjosaitis
Modified: 2019-01-11 13:01 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description karolismatjosaitis 2013-01-14 15:32:44 UTC
Problem description: 
First of all, I reduced libreoffice memory settings to minimum, because it used ~ 1 Gb of RAM, but it didn't worked. A problem persists. Operative memory usage increases gradually when:
1) opening two writer documents in odt format: one was ~ 20 Mb in size.
2) Memory usage increased while working with writer after every autorecovery (it was set up to 30 min) saving, or (when autorecovery is turn off) after saving manually.
3) memory usage doesn't decrease after savings are completed.
Steps to reproduce:
1.for better effect, increase memory settings (for example in Graphic cache: 50 Mb for office, 8 mb per object, quickstarter enabled)
2. Try to save bigger (>20 mb) document, after editing, few times (manually or by autorecovery).

Current behavior:

Expected behavior:
I spouse operative memory should decrease after saving document, but not increase gradually after every saving.
              
Operating System: Ubuntu
Version: 3.5.4 release
Comment 1 Joel Madero 2013-06-24 01:49:09 UTC
Unfortunately this and similar RAM issues have been known and are legacy from OOo. 

This being said the issue has been reported multiple times and developers are well aware of it. Fixing it will take weeks of developers time (thousands of dollars if done professionally and very complicated for volunteers)

I am marking this as NEW but note that we do in fact know about the issue and maybe at some point someone will have the time (or get paid) to fix it. 

In reality I am positive this is a duplicate of other RAM issues - if someone stumbled across a bug ID that talks about RAM not being freed up please mark this as a duplicate.

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage and join us on freenode at #libreoffice-qa

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 QA Administrators 2015-06-08 14:41:36 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2016-09-20 10:00:31 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920